aboutsummaryrefslogtreecommitdiff
path: root/fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2020-07-08 16:30:39 +0200
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2020-07-08 16:34:16 +0200
commitdfca92846c0a77442f4024fef11c4ffc819ae051 (patch)
tree5c76a77b82ce71082a5ca2fa4af0ee31230e214b /fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access
parent77349f46aaf7109334be6421cde7a7ccd55090a3 (diff)
downloaddebian-edu-fai+itzks-dfca92846c0a77442f4024fef11c4ffc819ae051.tar.gz
debian-edu-fai+itzks-dfca92846c0a77442f4024fef11c4ffc819ae051.tar.bz2
debian-edu-fai+itzks-dfca92846c0a77442f4024fef11c4ffc819ae051.zip
Add ROAMING_WORKSTATION support.
Diffstat (limited to 'fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access')
-rwxr-xr-xfai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access19
1 files changed, 19 insertions, 0 deletions
diff --git a/fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access b/fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access
new file mode 100755
index 0000000..1a3d7d5
--- /dev/null
+++ b/fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+if ! grep -qE "^HOST tjener\.intern$" $target/etc/ldap/ldap.conf; then
+
+ # append special TLS rules, Base DN, etc. for tjener.intern
+
+ cat <<EOF >> $target/etc/ldap/ldap.conf
+
+HOST tjener.intern
+sudoers_base ou=sudoers,dc=skole,dc=skolelinux,dc=no
+BASE dc=skole,dc=skolelinux,dc=no
+TLS_REQCERT demand
+TLS_CACERT /etc/ssl/certs/debian-edu-server.crt
+EOF
+
+ # this should give roaming workstations access to TJENER's LDAP,
+ # if needed.
+
+fi